%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

%global giturl  https://github.com/ocurrent/ocaml-version

Name:           ocaml-version
Version:        3.7.3
Release:        %mkrel 2
Summary:        Manipulate, parse and generate OCaml compiler version strings
Group:          Development/OCaml

License:        ISC
URL:            https://ocurrent.github.io/ocaml-version/
VCS:            git:%{giturl}.git
Source:         %{giturl}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ocaml >= 4.07.0
BuildRequires:  ocaml-alcotest-devel
BuildRequires:  ocaml-dune >= 3.6

%description
This library provides facilities to parse version numbers of the OCaml
compiler, and enumerates the various official OCaml releases and
configuration variants.

OCaml version numbers are of the form `major.minor.patch+extra`, where
the `patch` and `extra` fields are optional.  This library offers the
following functionality:

- Functions to parse and serialize OCaml compiler version numbers
- Enumeration of official OCaml compiler version releases
- Test compiler versions for a particular feature (e.g. the `bytes`
  type)
- opam compiler switch enumeration

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc CHANGES.md README.md
%license LICENSE.md

%files devel -f .ofiles-devel



%changelog
* Tue Jul 08 2025 umeabot <umeabot> 3.7.3-2.mga10
+ Revision: 2251407
- Mageia 10 Mass Rebuild

* Sun Apr 13 2025 pterjan <pterjan> 3.7.3-1.mga10
+ Revision: 2175421
- Update to 3.7.3
- Update to 3.7.3

* Sat Oct 08 2022 pterjan <pterjan> 3.5.0-1.mga9
+ Revision: 1895584
- Update to 3.5.0

* Fri May 20 2022 pterjan <pterjan> 3.4.0-1.mga9
+ Revision: 1859550
- imported package ocaml-version


* Fri Feb 04 2022 Richard W.M. Jones <rjones@redhat.com> - 3.4.0-3
- OCaml 4.13.1 rebuild to remove package notes

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 10 2021 Jerry James <loganjerry@gmail.com> - 3.4.0-1
- Initial RPM
